Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface ITextHoverExtension

All Known Implementing Classes:
  RevisionInformation

    public interface ITextHoverExtension

Extension interface for `ITextHover`.

It provides a way for hovers to specify the information control creator they want to have used in order to create the hover control.

Since:
  3.0
See Also:
  `IInformationControlCreator`, `ITextHover`

Method Summary
`IInformationControlCreator` `getHoverControlCreator()` Returns the hover control creator of this text hover or `null`

Method Detail

### getHoverControlCreator

    IInformationControlCreator getHoverControlCreator()

  Returns the hover control creator of this text hover or `null`

  Returns:
    the hover control creator or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.